package com.willalp.event.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 社团信息对象 hs_associations_info
 *
 * @author willalp
 * @date 2023-04-04
 */

@TableName("hs_associations_info")
public class HsAssociationsInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    @TableId
    private String id;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 社团名称 */
    @Excel(name = "社团名称")
    private String associationsName;

    /** 成员 */
    @Excel(name = "成员")
    private String users;

    /** 风采 */
    @Excel(name = "风采")
    private String mien;

    /** 是否删除（0.未删除；1.已删除） */
    private Integer isDelete;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setProjectName(String projectName)
    {
        this.projectName = projectName;
    }

    public String getProjectName()
    {
        return projectName;
    }
    public void setAssociationsName(String associationsName)
    {
        this.associationsName = associationsName;
    }

    public String getAssociationsName()
    {
        return associationsName;
    }
    public void setUsers(String users)
    {
        this.users = users;
    }

    public String getUsers()
    {
        return users;
    }
    public void setMien(String mien)
    {
        this.mien = mien;
    }

    public String getMien()
    {
        return mien;
    }
    public void setIsDelete(Integer isDelete)
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete()
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectName", getProjectName())
            .append("associationsName", getAssociationsName())
            .append("users", getUsers())
            .append("mien", getMien())
            .append("isDelete", getIsDelete())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
